import { request } from 'umi';

export default {
  /** 获取财务信息*/
  finaceList(data) {
    return request(`/kitchen/api/finance/finance-report`, {
      method: 'Post',
      data: data,
    });
  },
  /** 获取财务详情*/
  finaceDeatal(data) {
    return request(`/kitchen/api/finance/finance-detail`, {
      method: 'Post',
      data: data,
    });
  },
  /** 查询财务详情中的总合计金额*/
  sumFinance(data) {
    return request(`​​/kitchen/api/finance/sum-finance`, {
      method: 'Post',
      data: data,
    });
  },
  /**
   * 查询店铺分类(设备类型)信息
   */
  srdTypeList(data) {
    return request(`/kitchen/api/storetype/list`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /**
   * 查询店铺信息(设备信息)
   */
  srdList(data) {
    return request(`/kitchen/api/store/list`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },

  /** 下载财务详情信息*/
  financeSummaryList(data) {
    return request(`/kitchen/api/finance/finance-analysis`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /** 查询结算详情*/
  setSettlementDetail(data, orderId, orderType) {
    return request(`/kitchen/api/finance/settlement-detail/${orderId}/${orderType}`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /** 根据店铺分类查询店铺信息*/
  StoreList(data) {
    return request(`/kitchen/api/select/storelist`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
}
